This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Register Log Export Config

1 - 1.2

post /v1/clusters/{cluster_id}/log-export-configs

Description

Register Log Export Config.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
bodybody
required

LogExportConfigCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/log-export-configs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mysql 1.2"

Request body

{
    "access_key": "13952a8851244213f2de8d95069bf161",
    "bucket_name": "examplebucket",
    "delete_on_export": true,
    "log_type": "alert",
    "schedule_day_of_month": "28",
    "schedule_day_of_week": "MON",
    "schedule_frequency_type": "DAY",
    "schedule_hour": "12",
    "secret_key": "secretkey"
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

2 - 1.1

post /v1/clusters/{cluster_id}/log-export-configs

Description

Register Log Export Config.

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
bodybody
required

LogExportConfigCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/log-export-configs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mysql 1.1"

Request body

{
    "access_key": "13952a8851244213f2de8d95069bf161",
    "bucket_name": "examplebucket",
    "delete_on_export": true,
    "log_type": "alert",
    "schedule_day_of_month": "28",
    "schedule_day_of_week": "MON",
    "schedule_frequency_type": "DAY",
    "schedule_hour": "12",
    "secret_key": "secretkey"
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

3 - 1.0

post /v1/clusters/{cluster_id}/log-export-configs

Description

Register Log Export Config.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
bodybody
required

LogExportConfigCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/log-export-configs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mysql 1.0"

Request body

{
    "access_key": "13952a8851244213f2de8d95069bf161",
    "bucket_name": "examplebucket",
    "delete_on_export": true,
    "log_type": "alert",
    "schedule_day_of_month": "28",
    "schedule_day_of_week": "MON",
    "schedule_frequency_type": "DAY",
    "schedule_hour": "12",
    "secret_key": "secretkey"
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}